Bug 36214 - NoUpdateProcessList only matches 32-bit firefox
Summary: NoUpdateProcessList only matches 32-bit firefox
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-13 10:00 UTC by Oliver Henshaw
Modified: 2015-01-15 17:12 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Henshaw 2011-04-13 10:00:06 UTC
/etc/PackageKit/PackageKit.conf has the line

NoUpdateProcessList=/usr/lib/*/firefox

but

$ ls /usr/lib/*/firefox
ls: cannot access /usr/lib/*/firefox: No such file or directory
$ ls /usr/lib64/*/firefox
/usr/lib64/firefox-3.6/firefox

Noticed on PackageKit-0.6.6-3.fc13.x86_64 but the file is unchanged in current git, http://gitorious.org/packagekit/packagekit/blobs/master/etc/PackageKit.conf.in


PS. I guess this check is still needed - I thought I'd heard somewhere that firefox behaves better than it used to when being updated while running. I see the firefox doesn't put the most minor part of the version number in the library path anyomre, which probably helps, but bug #489306 is still open.
Comment 1 Oliver Henshaw 2011-04-13 10:02:46 UTC
Forgot I wasn't in RH bugzilla - that's https://bugzilla.redhat.com/show_bug.cgi?id=489306 and upstream bug https://bugzilla.mozilla.org/show_bug.cgi?id=526212
Comment 2 Richard Hughes 2011-05-17 04:39:52 UTC
(In reply to comment #0)
> I see firefox doesn't put the most minor part of the version number in the
> library path anyomre...

That's good news indeed.

Richard.
Comment 3 Richard Hughes 2011-05-23 01:50:47 UTC
Fixed in the examples, thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.